SDL_tan(3)

NAME
SDL_tan - Compute the tangent of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

double SDL_tan(double x);

DESCRIPTION
Domain: -INF<=x<=INF Range: -INF<=y<=INF This function operates on double-precision floating point values, use SDL_tanf
 for single-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value, in radians

RETURN VALUE
Returns tangent of x

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_tanf(3), SDL_sin(3), SDL_cos(3), SDL_atan(3), SDL_atan2(3)